Subject: Re: found some code...

From: Ron Eggler <[email-masked]>
Date: Tue, 17 Jan 2012 18:49:42 -0800

On January 18, 2012 12:16:49 PM Andrew Ardill wrote:
> Hi Ron,
> 
> On 18 January 2012 12:02, Ron Eggler <[email-masked]> wrote:
> > Hi There,
> > 
> > Some mishap had happened with my project:
> > I found a piece of code that is the most recent one that never got
> > commited to the repository. It is dated December 5th and it definitely
> > is the most recent piece of code.
> > Now in the mean time I switched computers so I had to reinstall git and
> > get create new local folders. Now this directory with the most recent
> > code, shows every file as unversioned which should not be true.
> > Only a couple, maybe 3 files had changed with that last change. Now when
> > I commit this now, is that gonna mess up my old repo or can I safely
> > gio ahead and commit that most recent code (even tho it might commit
> > the whole folder) - it almost seems like it forgot which files
> > were in the repo vs. which files were in my local folder...
> > 
> > Thanks for hints and suggestions how I get myself cleanly out of this
> > mess! Thanks,
> > Ron
> 
> Out of interest, how did you transfer the existing code onto the new
> machine? In particular, did you clone the existing repository using
> git clone, or using some other method (such as zipping/emailing)? If
> it was not via clone, did you copy the .git subdirectory, or did you
> recreate it?

I copied the whole directory (incl .git) onto a thumb drive.
 
> Is the old repository (on the old computer) still available?

No, unfortunately not
-- 
Ron